0
$\begingroup$

I am trying to get

Needs["QDENSITY`Qdensity`"] 

from (https://library.wolfram.com/infocenter/MathSource/5715/), however, it failed and I get this error:

Get::noopen: Cannot open LinearAlgebra`MatrixManipulation`.  
Needs::nocont: Context LinearAlgebra`MatrixManipulation` was not created when Needs was evaluated.
Type "?intro", "?QDENSITY\`Qdensity\`*" or "?about for help.  
SetDelayed::write: Tag TensorProduct in x_?MatrixQ [TensorProduct]y_?MatrixQ is Protected.  
SetDelayed::write: Tag Entropy in Entropy[O_?MatrixQ] is Protected.

Is there any solution to this problem? I am just a beginner using Mathematica.

$\endgroup$
3
  • $\begingroup$ The package you're using appears to be based on an old version of Mathematica. The functions in the LinearAlgebra package were probably incorporated into the current version at some point, and the package removed. You could either try to find an old version of the LinearAlgebra package on the web, install/load it, or examine the code and rewrite it to use the current functions. It's likely that the authors stopped supporting it at some point, so you're pretty much on your own. An alternative is to look for another package. The MathSource description suggests this package is used for $\endgroup$
    – user87932
    Commented Oct 12, 2023 at 21:38
  • 2
    $\begingroup$ ...quantum computing. If that's what you're looking for, you might consider the Wolfram Quantum Framework, which is available on their paclet repository site. It's authors are Wolfram employees, and it's up to date and likely to be supported for the foreseeable future. $\endgroup$
    – user87932
    Commented Oct 12, 2023 at 21:39
  • $\begingroup$ Thank you for the clairfication @jdp $\endgroup$
    – Xui Lao
    Commented Oct 14, 2023 at 4:07

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.